> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Account Transactions

> List transactions for a bank account



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/bank_accounts/{id}/transactions
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/bank_accounts/{id}/transactions:
    get:
      tags:
        - bank_accounts
      summary: List bank account transactions
      description: List bank account transactions
      operationId: TrioFoundationWeb.Banking.BankAccount.TransactionController.index
      parameters:
        - description: Bank Account ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: From datetime
          in: query
          name: from_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: External ID
          in: query
          name: external_id
          required: false
          schema:
            type: string
        - description: Reconciliation ID
          in: query
          name: reconciliation_id
          required: false
          schema:
            $ref: '#/components/schemas/UUID'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Transaction_list_response_for_bank_account
          description: Transactions
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Transaction_list_response_for_bank_account:
      description: A list of transactions for a bank account
      example:
        data:
          - amount:
              amount: 10
              currency: BRL
            bank_account_id: 0191148f-b189-8e42-27a5-1368cc00dea8
            counterparty_id: 0191148f-b189-8e42-27a5-1368cc00dea8
            document_type: pix
            end_to_end_id: E44444444202405211946Dwg1pjxgehP
            external_id: external_id
            ledger_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
            posting_type: credit
            reconciliation_id: 018f3406-9e00-1766-05c4-4907e14ee511
            ref_id: 0190df9a-d1b1-6bfe-ad26-037579ad8588
            ref_type: out
            transaction_date: '2024-07-21T12:00:01'
            transaction_type: regular
            virtual_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
      properties:
        data:
          items:
            $ref: '#/components/schemas/Transaction_bank_account_response'
          type: array
      title: Transaction list response for bank account
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Transaction_bank_account_response:
      description: 'A bank account transaction '
      example:
        amount:
          amount: 10
          currency: BRL
        bank_account_id: 0191148f-b189-8e42-27a5-1368cc00dea8
        counterparty_id: 0191148f-b189-8e42-27a5-1368cc00dea8
        document_type: pix
        end_to_end_id: E44444444202405211946Dwg1pjxgehP
        external_id: external_id
        ledger_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
        posting_type: credit
        reconciliation_id: 018f3406-9e00-1766-05c4-4907e14ee511
        ref_id: 0190df9a-d1b1-6bfe-ad26-037579ad8588
        ref_type: out
        transaction_date: '2024-07-21T12:00:01'
        transaction_type: regular
        virtual_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
      properties:
        amount:
          description: Amount
          properties:
            amount:
              description: Amount integer
              type: integer
            currency:
              description: Amount currency
              type: string
          type: object
        bank_account_id:
          description: Bank Account ID
          format: uuid
          type: string
        counterparty_id:
          description: Counterparty ID
          format: uuid
          type: string
        document_type:
          $ref: '#/components/schemas/Bank_Account_transaction_document_type'
        end_to_end_id:
          description: End to End ID
          type: string
        external_id:
          description: External ID
          format: uuid
          type: string
        ledger_account_id:
          description: Ledger account ID
          format: uuid
          type: string
        posting_type:
          $ref: '#/components/schemas/Transaction_posting_type'
        reconciliation_id:
          description: Reconciliation ID
          format: uuid
          type: string
        ref_id:
          description: Ref ID
          format: uuid
          type: string
        ref_type: 473ab819-ff30-4fb5-814f-44ff14d276b0
        transaction_date:
          $ref: '#/components/schemas/DATETIME'
        transaction_type:
          $ref: '#/components/schemas/Transaction_type'
        virtual_account_id:
          description: Virtual account ID
          format: uuid
          type: string
      title: Transaction bank account response
      type: object
    Bank_Account_transaction_document_type:
      description: Document type of the transaction bank account
      items:
        enum:
          - pix
          - boleto
          - ted
          - tef
          - utility
          - tax
          - internal
        type: string
      title: Bank Account transaction document type
      type: string
    Transaction_posting_type:
      description: Posting Type transaction
      items:
        enum:
          - debit
          - credit
        type: string
      title: Transaction posting type
      type: string
    Transaction_type:
      description: Type of the transaction
      items:
        enum:
          - regular
          - tax
          - fee
        type: string
      title: Transaction type
      type: string

````